
Redmine - Defect #6742

Custom queries defined as public can be edited by others

2010-10-25 19:06 - Adam Klinkosz

Status: Closed Start date: 2010-10-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.0.2

Description

When defining a custom query for issues it is possible to define it as 'public'. Therefore it can be used by everyone. Brilliant.

However, another user can edit this query, set it from "public" to "For all projects" and therefore turn it of for himself and set it for all

projects to owner of the query.

History

#1 - 2010-10-25 23:55 - Felix Schäfer

This should only be possible for users with the permission "manage public custom queries", and those should be trustworthy enough to not do stuff

like that.

#2 - 2017-12-24 03:40 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

As Felix wrote, only users who have "Manage public queries" permission can edit public queries.

I think we don't have to change the behavior.
